Skip to main content
cURL

Query Parameters

deposit_id
string
required

Id of the deposit JSON string containing: currency, user_id, address, tx_hash

originator
string
required

Information about the originator of the deposit JSON string containing: is_personal, company_name, first_name, last_name, address

Response

200 - application/json

Success response

currency
enum<string>
required

Currency, i.e "BTC", "ETH", "USDC"

Available options:
BTC,
ETH,
USDC,
USDT,
EURR
address
string
required

Address in proper format for currency

Example:

"1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa"

amount
number
required

Amount of funds in given currency

Example:

1

state
enum<string>
required

Deposit state. Allowed values:

  • pending: deposit detected on blockchain/system, compliance not yet finished
  • completed: compliance check finished successfully
  • rejected: deposit failed compliance and must be handled manually
  • replaced: deposit transaction was replaced on the blockchain and should have a new transaction hash
  • Available options:
    pending,
    completed,
    rejected,
    replaced
    transaction_id
    string | null
    required

    Transaction id in proper format for currency, null if id is not available

    Example:

    "1b1fb5568515e2b79503501e3d3680b2d0838d5dfc2d15a04eb8cd9fbbe0b572"

    received_timestamp
    integer
    required

    The timestamp (milliseconds since the Unix epoch)

    Example:

    1536569522277

    updated_timestamp
    integer
    required

    The timestamp (milliseconds since the Unix epoch)

    Example:

    1536569522277

    source_address
    string

    Address in proper format for currency

    Example:

    "1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa"

    note
    string
    clearance_state
    enum<string>

    Clearance state indicating the current status of the transaction clearance process. Allowed values:

  • in_progress: clearance process is in progress
  • pending_admin_decision: transaction is under manual review by Deribit admin
  • pending_user_input: user should provide additional information regarding the transaction
  • success: clearance process completed successfully
  • failed: clearance process failed, transaction is rejected
  • cancelled: transaction is cancelled (currently used only for withdrawals, meaning the withdrawal is cancelled)
  • refund_initiated: clearance process failed, transaction refund is initiated, funds are removed from Deribit balance (valid for deposits only)
  • refunded: clearance process failed, deposit amount is refunded back to the client (valid for deposits only)
  • Available options:
    in_progress,
    pending_admin_decision,
    pending_user_input,
    success,
    failed,
    cancelled,
    refund_initiated,
    refunded
    refund_transaction_id
    string | null

    Transaction id in proper format for currency, null if id is not available

    Example:

    "1b1fb5568515e2b79503501e3d3680b2d0838d5dfc2d15a04eb8cd9fbbe0b572"